# Uses of Interface
net.shibboleth.shared.servlet.HttpServletRequestValidator

Packages that use HttpServletRequestValidator
Package
Description
net.shibboleth.shared.servlet.impl
Java Servlet specification implementation classes.

## Uses of HttpServletRequestValidator in net.shibboleth.shared.servlet.impl

Classes in net.shibboleth.shared.servlet.impl that implement HttpServletRequestValidator
Modifier and Type
Class
Description
`class`
`BasicHttpServletRequestContentTypeValidator`
Component that validates the HTTP content type as one of an allowed set.
`class`
`BasicHttpServletRequestMethodValidator`
Component that validates the HTTP request method as one of an allowed set.
`class`
`BasicHttpServletRequestParametersValidator`
Component that validates HTTP request parameters for required presence, uniqueness and mutual exclusivity.
`class`
`ChainingHttpServletRequestValidator`
Implementation for a chain of `HttpServletRequestValidator`.
`class`
`NoOpHttpServletRequestValidator`
Implementation of `HttpServletRequestValidator` which is always valid.
Fields in net.shibboleth.shared.servlet.impl with type parameters of type HttpServletRequestValidator
Modifier and Type
Field
Description
`private List<HttpServletRequestValidator>`
ChainingHttpServletRequestValidator.`validators`
Chain validators.
Methods in net.shibboleth.shared.servlet.impl that return types with arguments of type HttpServletRequestValidator
Modifier and Type
Method
Description
`List<HttpServletRequestValidator>`
ChainingHttpServletRequestValidator.`getValidators()`
Get the list of registered validators.
Method parameters in net.shibboleth.shared.servlet.impl with type arguments of type HttpServletRequestValidator
Modifier and Type
Method
Description
`void`
ChainingHttpServletRequestValidator.`setValidators(List<HttpServletRequestValidator> newValidators)`
Set the list of registered validators.